<?php
namespace WTC_CHECKOUT\Core\General;
defined('ABSPATH') || exit;
class PasswordStrengthService {
    private $option_name = 'wtc_password_strength';
    private $min_strength = 3; 
    public function __construct() {
        $this->init();
    }
    private function init() {
        add_filter('woocommerce_min_password_strength', [$this, 'setMinPasswordStrength']);
    }
    public function setMinPasswordStrength() {
        return get_option($this->option_name, 3); 
    }
    public function setStrength($strength) {
        $this->min_strength = min(4, max(0, intval($strength)));
    }
    public function getStrength() {
        return $this->min_strength;
    }
} 